#!/usr/bin/python
import numpy as np

filup = "SOCbands.dat"

#adjust Fermi level 
fermi = 1.6175
#adjust number of kpoints
nkpt = 160
K = 0.3333333

fup = open(filup)
statesup = []
kptsup = []
kx = []
ky = []
energyup = []
spinx = []
spiny = []
spinz = []


counter = 0
i = 0
for line in fup:
	if i < nkpt:
        	statesup.append(map(float,line.split()))
		counter = counter+1
		i = i+1
	else:
		i=0
fup.close()



for i in range(0,counter):
	if K-0.006 < statesup[i][0] < K+0.006:
		if -0.25 < (statesup[i][2]-fermi) < 0.0:
			kptsup.append(statesup[i][0]) 
			kx.append(statesup[i][0])
			ky.append(statesup[i][1])
			energyup.append(statesup[i][2]-fermi)
			spinx.append(statesup[i][3])
			spiny.append(statesup[i][4])
			spinz.append(statesup[i][5])
			

for j in range(0,(len(kptsup)/4)):
	print kx[j],ky[j], energyup[j], energyup[j+len(kptsup)/4], energyup[j+2*len(kptsup)/4], energyup[j+3*len(kptsup)/4], spinx[j], spinx[j+len(kptsup)/4], spinx[j+2*len(kptsup)/4], spinx[j+3*len(kptsup)/4],spiny[j], spiny[j+len(kptsup)/4], spiny[j+2*len(kptsup)/4], spiny[j+3*len(kptsup)/4],spinz[j], spinz[j+len(kptsup)/4], spinz[j+2*len(kptsup)/4], spinz[j+3*len(kptsup)/4]


