from numpy import array
from math import sqrt, fabs, pow

fil = "CB.dat"

f = open(fil)
line = f.readline().split()
energyLB = []
energyUB = []
sx1 = []
sy1 = []
sz1 = []
sx2 = []
sy2 = []
sz2 = []
kx = []
ky = []


#read in data
for line in f:
	energyLB.append(line.split()[3])
        energyUB.append(line.split()[10])
        sx1.append(line.split()[4])
        sy1.append(line.split()[5])
        sz1.append(line.split()[6])
        sx2.append(line.split()[11])
        sy2.append(line.split()[12])
        sz2.append(line.split()[13])
	kx.append(line.split()[1])
	ky.append(line.split()[2])	
f.close()



#reform them into floats
energyLB = [float(list_item) for list_item in energyLB] #energy of lower band
energyUB = [float(list_item) for list_item in energyUB] #energy of upper band
sx1 = [float(list_item) for list_item in sx1] #spin x
sy1 = [float(list_item) for list_item in sy1] #spin y
sz1 = [float(list_item) for list_item in sz1] #spin z
sx2 = [float(list_item) for list_item in sx2] #spin x
sy2 = [float(list_item) for list_item in sy2] #spin y
sz2 = [float(list_item) for list_item in sz2] #spin z
kx = [float(list_item) for list_item in kx] #spin x
ky = [float(list_item) for list_item in ky] #spin y

print ("#kx, #ky, #energyLB, #sx1, #sy1, #sz1, #energyUB, #sx2, #sy2, #sz2")

for i in range(len(energyLB)):
	if (kx[i]==kx[i+1]):
        	print ("%5.7f %5.7f %5.7f %5.7f %5.7f %5.7f %5.7f %5.7f %5.7f %5.7f " % (kx[i], ky[i], energyLB[i], sx1[i], sy1[i], sz1[i], energyUB[i], sx2[i], sy2[i], sz2[i]))
	else:
		print(" ")
